"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeEnv = void 0;
const path_1 = __importDefault(require("path"));
const path_name_1 = __importDefault(require("path-name"));
function makeEnv(opts) {
    var _a;
    return {
        ...process.env,
        ...opts.extraEnv,
        npm_config_user_agent: (_a = opts.userAgent) !== null && _a !== void 0 ? _a : 'pnpm',
        [path_name_1.default]: [
            ...opts.prependPaths,
            process.env[path_name_1.default],
        ].join(path_1.default.delimiter),
    };
}
exports.makeEnv = makeEnv;
//# sourceMappingURL=makeEnv.js.map